import {BasicColumn} from '/@/components/Table';
import {FormSchema} from '/@/components/Table';
import { rules} from '/@/utils/helper/validator';
import { render } from '/@/utils/common/renderUtils';
//列表数据
export const columns: BasicColumn[] = [
    {
    title: '新闻标题',
    align:"center",
    dataIndex: 'newsTitle'
   },
   {
    title: '新闻封面',
    align:"center",
    dataIndex: 'newsImage'
   },
   {
    title: '新闻内容',
    align:"center",
    dataIndex: 'newsContent'
   },
   {
    title: '新闻所属分类',
    align:"center",
    dataIndex: 'categoryId'
   },
];
//查询数据
export const searchFormSchema: FormSchema[] = [
];
//表单数据
export const formSchema: FormSchema[] = [
  {
    label: '新闻标题',
    field: 'newsTitle',
    component: 'Input',
  },
  {
    label: '新闻封面',
    field: 'newsImage',
    component: 'Input',
  },
  {
    label: '新闻内容',
    field: 'newsContent',
    component: 'Input',
  },
  {
    label: '新闻所属分类',
    field: 'categoryId',
    component: 'Input',
  },
];
