import {BasicColumn} from '/@/components/Table';
import {FormSchema} from '/@/components/Table';
import { rules} from '/@/utils/helper/validator';
import { render } from '/@/utils/common/renderUtils';
//列表数据
export const columns: BasicColumn[] = [
    {
    title: '商品购买数量',
    align:"center",
    dataIndex: 'shopcarNumber'
   },
   {
    title: '关联商品id',
    align:"center",
    dataIndex: 'waresId_dictText'
   },
   {
    title: '关联用户id',
    align:"center",
    dataIndex: 'userId_dictText'
   },
];
//查询数据
export const searchFormSchema: FormSchema[] = [
];
//表单数据
export const formSchema: FormSchema[] = [
  {
    label: '商品购买数量',
    field: 'shopcarNumber',
    component: 'InputNumber',
  },
  {
    label: '关联商品id',
    field: 'waresId',
    component: 'JDictSelectTag',
    componentProps:{
        dictCode:"travel_wares,wares_title,id"
     },
  },
  {
    label: '关联用户id',
    field: 'userId',
    component: 'JDictSelectTag',
    componentProps:{
        dictCode:"han_hai_member,nick_name,id"
     },
  },
];
